Subject: Re: CCL:Optimization hinders evolution

From: Gerald Loeffler <[email-masked]>
Date: Thu, 24 Jul 1997 13:49:09 +0200

Hi there!

Andrew Dalke wrote:
> 
> Hello,
> 
>   I agree with your statement that emphasis on optimization of
> current methods without exploration of alternate approaches
> can cause "very well engineered dinosaurs."  What I like about
> current advances in C++ (templates) is you get the ability
> to organize your data in more complicated ways (with classes
> and better data hiding) without the effort it would take to
> achieve the same in Fortran and without appreciable performance
> loss.

Just a short remark to emphasize that all our programming problems are
not yet solved by the above mentioned "advances in C++ templates":

I like C++ templates, they are elegant, potentially efficient, simply
great, BUT someone wrote in a column about the proposed C++ Standard
Library (!) in the "C++ Report" earlier this year (quoted from the top
of my head):

    "The caveat of this approach is that it uses partial template
     spezialisation. No compiler we know of supports this language
     feature."

I know this is an unfair, mean remark, but nevertheless it's true ...

	Cheers,
	gerald

-- 

Gerald Loeffler
PostDoc in Theoretical Biophysics

EMail: [email-masked]
Phone: +43 1 79730 554
Fax:   +43 1 7987153
SMail: I.M.P. - Research Institute of Molecular Pathology
       Dr. Bohr-Gasse 7
       A-1030 Vienna
       AUSTRIA